#!/usr/bin/ruby
# Tested on 1.9.2p180=<

# We need this...

%w[
  dm-core
  dm-do-adapter
  dm-migrations
  dm-sqlite-adapter
  librmpd
  readline
  yaml
].each { |m| require m }

# ...and this...
CONF = YAML.load_file (ENV["XDG_CONFIG_HOME"] == NIL ? ENV["HOME"] + "/.config" : ENV["XDG_CONFIG_HOME"]) + "/quiyo/config.yml"

# ...and this, too!
%w[
  core
  colors
  playback
  playlist
  server
  status
  database
].each { |m| require "quiyo/#{m}" }

# Start everything up
quiyo = Quiyo.new(CONF["server"], CONF["port"], "0.1.0")
quiyo.showprompt
