class Quiyo
	module Playlist
		def lsplist
			@mpd.playlist.each { |s| printsonglist(s) }
		end

		def clearplist
			@mpd.clear
		end

		def addtoplist(action)
			@mpd.search(action[1], action.drop(2).join(" ")).each { |s|
				@mpd.add(s.file)
			}
		rescue
			puts "Usage: addtoplaylist searchstring"
		end

		def removefromplist(id)
			@mpd.delete(id)
		end

		def saveplist(name)
			@mpd.save(name)
		end

		def randomalbum(opt)
			@mpd.clear if opt == "clear"
			addtoplist("album", @mpd.albums[rand(@mpd.albums.length)])
		end
	end
	include Playlist
end
